curl --request POST \
--url https://{globale_api_domain}/emails \
--header 'Content-Type: application/json' \
--data '
{
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "zivido@gmail.com",
"orderIds": [
"GE399999999GB"
],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
'import requests
url = "https://{globale_api_domain}/emails"
payload = {
"emailTypeName": "Delayedfulfillment",
"senderEmailAddress": "globale@global-e.com",
"reportToEmailAddress": "zivido@gmail.com",
"orderIds": ["GE399999999GB"],
"placeholders": {
"{DelayReason}": "TR_OverloadDelayReason",
"{DelayDaysCount}": "2"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
emailTypeName: 'Delayedfulfillment',
senderEmailAddress: 'globale@global-e.com',
reportToEmailAddress: 'zivido@gmail.com',
orderIds: ['GE399999999GB'],
placeholders: {'{DelayReason}': 'TR_OverloadDelayReason', '{DelayDaysCount}': '2'}
})
};
fetch('https://{globale_api_domain}/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Processing is in progress. You will get an email after the process is complete."{
"Code": "<string>",
"Error": "<string>",
"Description": "<string>"
}Sending Bulk Emails
Send CS (bulk) emails to multiple addressees in a single API call by providing order IDs, an email type, and optional placeholders.
Body
Request body for the Sending Bulk Emails API. Fields and mandatory markers are taken verbatim from the page's Parameters table.
Specifies the name of the email type and its related HTML template.
The mail address of the sender that the addressee sees. The default sender mail address is DoNotReply@globle.com or other mail specified by the merchant.
The merchant’s email address to receive the bulk sending report.
The list of addressees, by their Order ID.
The placeholders and their values are defined in the Admin platform, with the prefix TR_
Show child attributes
Show child attributes
Response
Processing is in progress. You will get an email after the process is complete.
The response is of type string.

